--- old/usr/src/pkg/manifests/SUNWcs.man1m.inc	2014-11-12 17:44:37.978170892 +0100
+++ new/usr/src/pkg/manifests/SUNWcs.man1m.inc	2014-11-12 17:44:37.983215943 +0100
@@ -12,6 +12,7 @@
 #
 # Copyright 2011, Richard Lowe
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 file path=usr/share/man/man1m/6to4relay.1m
@@ -38,7 +39,6 @@
 file path=usr/share/man/man1m/captoinfo.1m
 file path=usr/share/man/man1m/cfgadm.1m
 file path=usr/share/man/man1m/cfgadm_ac.1m
-file path=usr/share/man/man1m/cfgadm_cardbus.1m
 file path=usr/share/man/man1m/cfgadm_fp.1m
 file path=usr/share/man/man1m/cfgadm_ib.1m
 file path=usr/share/man/man1m/cfgadm_pci.1m
--- old/usr/src/pkg/manifests/SUNWpcmci.mf	2014-11-12 17:44:38.127877067 +0100
+++ new/usr/src/pkg/manifests/SUNWpcmci.mf	2014-11-12 17:44:38.132927075 +0100
@@ -21,9 +21,9 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@daomre.org>
 #
 
 set name=pkg.fmri value=pkg:/SUNWpcmci@0.5.11,5.11-0.133
-set name=pkg.renamed value=true
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-depend fmri=pkg:/driver/pcmcia@0.5.11,5.11-0.133 type=require
--- old/usr/src/pkg/manifests/driver-pcmcia.mf	2014-11-12 17:44:38.268183829 +0100
+++ new/usr/src/pkg/manifests/driver-pcmcia.mf	2014-11-12 17:44:38.273184316 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 #
@@ -30,30 +31,6 @@
 #
 <include global_zone_only_component>
 set name=pkg.fmri value=pkg:/driver/pcmcia@$(PKGVERS)
-set name=pkg.description \
-    value="kernel modules and start-up files for PCMCIA card services"
-set name=pkg.summary value="PCMCIA Card Services"
-set name=info.classification \
-    value=org.opensolaris.category.2008:System/Hardware
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-dir path=kernel group=sys
-dir path=kernel/drv group=sys
-dir path=kernel/drv/$(ARCH64) group=sys
-dir path=usr/share/man
-dir path=usr/share/man/man7d
-driver name=pcic class=pcmcia \
-    alias=pciclass,060500 \
-    alias=pciclass,060700
-driver name=pcs
-file path=kernel/drv/$(ARCH64)/pcic group=sys
-file path=kernel/drv/$(ARCH64)/pcs group=sys
-$(i386_ONLY)file path=kernel/drv/pcic group=sys
-file path=kernel/drv/pcic.conf group=sys
-$(i386_ONLY)file path=kernel/drv/pcs group=sys
-file path=usr/share/man/man7d/pcic.7d
-file path=usr/share/man/man7d/pcmcia.7d
-legacy pkg=SUNWpcmci \
-    desc="kernel modules and start-up files for PCMCIA card services" \
-    name="PCMCIA Card Services, (Root)"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
+
--- old/usr/src/pkg/manifests/system-header.mf	2014-11-12 17:44:38.410412385 +0100
+++ new/usr/src/pkg/manifests/system-header.mf	2014-11-12 17:44:38.415604788 +0100
@@ -828,9 +828,6 @@
 file path=usr/include/sys/cap_util.h
 file path=usr/include/sys/ccompile.h
 file path=usr/include/sys/cdio.h
-file path=usr/include/sys/cis.h
-file path=usr/include/sys/cis_handlers.h
-file path=usr/include/sys/cis_protos.h
 file path=usr/include/sys/cladm.h
 file path=usr/include/sys/class.h
 file path=usr/include/sys/clconf.h
@@ -871,11 +868,6 @@
 file path=usr/include/sys/crypto/ioctl.h
 file path=usr/include/sys/crypto/ioctladmin.h
 file path=usr/include/sys/crypto/spi.h
-file path=usr/include/sys/cs.h
-file path=usr/include/sys/cs_priv.h
-file path=usr/include/sys/cs_strings.h
-file path=usr/include/sys/cs_stubs.h
-file path=usr/include/sys/cs_types.h
 file path=usr/include/sys/csiioctl.h
 file path=usr/include/sys/ctf.h
 file path=usr/include/sys/ctf_api.h
@@ -1276,12 +1268,8 @@
 file path=usr/include/sys/pattr.h
 file path=usr/include/sys/pbio.h
 file path=usr/include/sys/pcb.h
-file path=usr/include/sys/pccard.h
 file path=usr/include/sys/pci.h
-$(i386_ONLY)file path=usr/include/sys/pcic_reg.h
-$(i386_ONLY)file path=usr/include/sys/pcic_var.h
 file path=usr/include/sys/pcie.h
-file path=usr/include/sys/pcmcia.h
 file path=usr/include/sys/pctypes.h
 file path=usr/include/sys/pfmod.h
 file path=usr/include/sys/pg.h
@@ -1445,7 +1433,6 @@
 file path=usr/include/sys/spl.h
 file path=usr/include/sys/squeue.h
 file path=usr/include/sys/squeue_impl.h
-file path=usr/include/sys/sservice.h
 file path=usr/include/sys/stack.h
 file path=usr/include/sys/stat.h
 file path=usr/include/sys/stat_impl.h
--- old/usr/src/pkg/manifests/system-kernel.man4.inc	2014-11-12 17:44:38.629735617 +0100
+++ new/usr/src/pkg/manifests/system-kernel.man4.inc	2014-11-12 17:44:38.634736203 +0100
@@ -12,9 +12,9 @@
 #
 # Copyright 2011, Richard Lowe
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
-file path=usr/share/man/man4/cardbus.4
 file path=usr/share/man/man4/dir_ufs.4
 file path=usr/share/man/man4/driver.conf.4
 file path=usr/share/man/man4/pci.4
--- old/usr/src/pkg/manifests/system-kernel.man9f.inc	2014-11-12 17:44:38.771305958 +0100
+++ new/usr/src/pkg/manifests/system-kernel.man9f.inc	2014-11-12 17:44:38.776442565 +0100
@@ -62,64 +62,6 @@
 file path=usr/share/man/man9f/copyin.9f
 file path=usr/share/man/man9f/copymsg.9f
 file path=usr/share/man/man9f/copyout.9f
-file path=usr/share/man/man9f/csx_AccessConfigurationRegister.9f
-file path=usr/share/man/man9f/csx_CS_DDI_Info.9f
-file path=usr/share/man/man9f/csx_ConvertSize.9f
-file path=usr/share/man/man9f/csx_ConvertSpeed.9f
-file path=usr/share/man/man9f/csx_DeregisterClient.9f
-file path=usr/share/man/man9f/csx_DupHandle.9f
-file path=usr/share/man/man9f/csx_Error2Text.9f
-file path=usr/share/man/man9f/csx_Event2Text.9f
-file path=usr/share/man/man9f/csx_FreeHandle.9f
-file path=usr/share/man/man9f/csx_Get8.9f
-file path=usr/share/man/man9f/csx_GetFirstClient.9f
-file path=usr/share/man/man9f/csx_GetFirstTuple.9f
-file path=usr/share/man/man9f/csx_GetHandleOffset.9f
-file path=usr/share/man/man9f/csx_GetMappedAddr.9f
-file path=usr/share/man/man9f/csx_GetStatus.9f
-file path=usr/share/man/man9f/csx_GetTupleData.9f
-file path=usr/share/man/man9f/csx_MakeDeviceNode.9f
-file path=usr/share/man/man9f/csx_MapLogSocket.9f
-file path=usr/share/man/man9f/csx_MapMemPage.9f
-file path=usr/share/man/man9f/csx_ModifyConfiguration.9f
-file path=usr/share/man/man9f/csx_ModifyWindow.9f
-file path=usr/share/man/man9f/csx_ParseTuple.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_BATTERY.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_BYTEORDER.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_CFTABLE_ENTRY.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_CONFIG.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_DATE.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_DEVICE.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_DEVICEGEO.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_DEVICEGEO_A.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_FORMAT.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_FUNCE.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_FUNCID.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_GEOMETRY.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_JEDEC_C.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_LINKTARGET.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_LONGLINK_A.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_LONGLINK_MFC.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_MANFID.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_ORG.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_SPCL.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_SWIL.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_VERS_1.9f
-file path=usr/share/man/man9f/csx_Parse_CISTPL_VERS_2.9f
-file path=usr/share/man/man9f/csx_Put8.9f
-file path=usr/share/man/man9f/csx_RegisterClient.9f
-file path=usr/share/man/man9f/csx_ReleaseConfiguration.9f
-file path=usr/share/man/man9f/csx_RepGet8.9f
-file path=usr/share/man/man9f/csx_RepPut8.9f
-file path=usr/share/man/man9f/csx_RequestConfiguration.9f
-file path=usr/share/man/man9f/csx_RequestIO.9f
-file path=usr/share/man/man9f/csx_RequestIRQ.9f
-file path=usr/share/man/man9f/csx_RequestSocketMask.9f
-file path=usr/share/man/man9f/csx_RequestWindow.9f
-file path=usr/share/man/man9f/csx_ResetFunction.9f
-file path=usr/share/man/man9f/csx_SetEventMask.9f
-file path=usr/share/man/man9f/csx_SetHandleOffset.9f
-file path=usr/share/man/man9f/csx_ValidateCIS.9f
 file path=usr/share/man/man9f/datamsg.9f
 file path=usr/share/man/man9f/ddi_add_event_handler.9f
 file path=usr/share/man/man9f/ddi_add_intr.9f
@@ -603,39 +545,6 @@
 link path=usr/share/man/man9f/crgetsuid.9f target=ddi_cred.9f
 link path=usr/share/man/man9f/crgetuid.9f target=ddi_cred.9f
 link path=usr/share/man/man9f/crgetzoneid.9f target=ddi_cred.9f
-link path=usr/share/man/man9f/csx_Get16.9f target=csx_Get8.9f
-link path=usr/share/man/man9f/csx_Get32.9f target=csx_Get8.9f
-link path=usr/share/man/man9f/csx_Get64.9f target=csx_Get8.9f
-link path=usr/share/man/man9f/csx_GetEventMask.9f target=csx_SetEventMask.9f
-link path=usr/share/man/man9f/csx_GetNextClient.9f \
-    target=csx_GetFirstClient.9f
-link path=usr/share/man/man9f/csx_GetNextTuple.9f target=csx_GetFirstTuple.9f
-link path=usr/share/man/man9f/csx_Parse_CISTPL_DEVICE_A.9f \
-    target=csx_Parse_CISTPL_DEVICE.9f
-link path=usr/share/man/man9f/csx_Parse_CISTPL_DEVICE_OA.9f \
-    target=csx_Parse_CISTPL_DEVICE.9f
-link path=usr/share/man/man9f/csx_Parse_CISTPL_DEVICE_OC.9f \
-    target=csx_Parse_CISTPL_DEVICE.9f
-link path=usr/share/man/man9f/csx_Parse_CISTPL_JEDEC_A.9f \
-    target=csx_Parse_CISTPL_JEDEC_C.9f
-link path=usr/share/man/man9f/csx_Parse_CISTPL_LONGLINK_C.9f \
-    target=csx_Parse_CISTPL_LONGLINK_A.9f
-link path=usr/share/man/man9f/csx_Put16.9f target=csx_Put8.9f
-link path=usr/share/man/man9f/csx_Put32.9f target=csx_Put8.9f
-link path=usr/share/man/man9f/csx_Put64.9f target=csx_Put8.9f
-link path=usr/share/man/man9f/csx_ReleaseIO.9f target=csx_RequestIO.9f
-link path=usr/share/man/man9f/csx_ReleaseIRQ.9f target=csx_RequestIRQ.9f
-link path=usr/share/man/man9f/csx_ReleaseSocketMask.9f \
-    target=csx_RequestSocketMask.9f
-link path=usr/share/man/man9f/csx_ReleaseWindow.9f target=csx_RequestWindow.9f
-link path=usr/share/man/man9f/csx_RemoveDeviceNode.9f \
-    target=csx_MakeDeviceNode.9f
-link path=usr/share/man/man9f/csx_RepGet16.9f target=csx_RepGet8.9f
-link path=usr/share/man/man9f/csx_RepGet32.9f target=csx_RepGet8.9f
-link path=usr/share/man/man9f/csx_RepGet64.9f target=csx_RepGet8.9f
-link path=usr/share/man/man9f/csx_RepPut16.9f target=csx_RepPut8.9f
-link path=usr/share/man/man9f/csx_RepPut32.9f target=csx_RepPut8.9f
-link path=usr/share/man/man9f/csx_RepPut64.9f target=csx_RepPut8.9f
 link path=usr/share/man/man9f/cv_broadcast.9f target=condvar.9f
 link path=usr/share/man/man9f/cv_destroy.9f target=condvar.9f
 link path=usr/share/man/man9f/cv_init.9f target=condvar.9f
--- old/usr/src/pkg/manifests/system-kernel.mf	2014-11-12 17:44:38.954173802 +0100
+++ new/usr/src/pkg/manifests/system-kernel.mf	2014-11-12 17:44:38.959249998 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 #
@@ -644,7 +645,6 @@
 file path=kernel/misc/$(ARCH64)/bignum group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/$(ARCH64)/bootdev group=sys mode=0755
 file path=kernel/misc/$(ARCH64)/busra group=sys mode=0755
-file path=kernel/misc/$(ARCH64)/cardbus group=sys mode=0755
 file path=kernel/misc/$(ARCH64)/cmlb group=sys mode=0755
 file path=kernel/misc/$(ARCH64)/consconfig group=sys mode=0755
 file path=kernel/misc/$(ARCH64)/ctf group=sys mode=0755
@@ -669,7 +669,6 @@
 $(i386_ONLY)file path=kernel/misc/$(ARCH64)/pcicfg group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/$(ARCH64)/pcie group=sys mode=0755
 file path=kernel/misc/$(ARCH64)/pcihp group=sys mode=0755
-file path=kernel/misc/$(ARCH64)/pcmcia group=sys mode=0755
 file path=kernel/misc/$(ARCH64)/rpcsec group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/$(ARCH64)/sata group=sys mode=0755
 file path=kernel/misc/$(ARCH64)/scsi group=sys mode=0755
@@ -682,7 +681,6 @@
 $(i386_ONLY)file path=kernel/misc/bignum group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/bootdev group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/busra group=sys mode=0755
-$(i386_ONLY)file path=kernel/misc/cardbus group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/cmlb group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/consconfig group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/ctf group=sys mode=0755
@@ -706,7 +704,6 @@
 $(i386_ONLY)file path=kernel/misc/pcicfg group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/pcie group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/pcihp group=sys mode=0755
-$(i386_ONLY)file path=kernel/misc/pcmcia group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/rpcsec group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/sata group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/scsi group=sys mode=0755
--- old/usr/src/uts/Makefile	2014-11-12 17:44:39.125927648 +0100
+++ new/usr/src/uts/Makefile	2014-11-12 17:44:39.130967069 +0100
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 # include global definitions
 include ../Makefile.master
@@ -150,7 +151,6 @@
 		common/net \
 		common/netinet \
 		common/nfs \
-		common/pcmcia/sys \
 		common/rpc \
 		common/rpcsvc \
 		common/sharefs \
--- old/usr/src/uts/common/Makefile.files	2014-11-12 17:44:39.273705754 +0100
+++ new/usr/src/uts/common/Makefile.files	2014-11-12 17:44:39.278776815 +0100
@@ -133,7 +133,6 @@
 		core.o		\
 		corectl.o	\
 		cred.o		\
-		cs_stubs.o	\
 		dacf.o		\
 		dacf_clnt.o	\
 		damap.o	\
@@ -476,8 +475,6 @@
 
 BLKDEV_OBJS += blkdev.o
 
-CARDBUS_OBJS += cardbus.o cardbus_hp.o cardbus_cfg.o
-
 CONSKBD_OBJS += conskbd.o
 
 CONSMS_OBJS +=	consms.o
@@ -1594,8 +1591,6 @@
 		audit_path.o audit_start.o audit_syscalls.o audit_token.o \
 		audit_mem.o
 
-PCIC_OBJS +=	pcic.o
-
 RPCSEC_OBJS +=	secmod.o	sec_clnt.o	sec_svc.o	sec_gen.o \
 		auth_des.o	auth_kern.o	auth_none.o	auth_loopb.o\
 		authdesprt.o	authdesubr.o	authu_prot.o \
@@ -1720,12 +1715,8 @@
 
 KAIO_OBJS += aio.o
 
-PCMCIA_OBJS += pcmcia.o cs.o cis.o cis_callout.o cis_handlers.o cis_params.o
-
 BUSRA_OBJS += busra.o
 
-PCS_OBJS += pcs.o
-
 PSET_OBJS +=	pset.o
 
 OHCI_OBJS += ohci.o ohci_hub.o ohci_polled.o
